View Issue Details

IDProjectCategoryView StatusLast Update
0012354ScribusGeneralpublic2016-01-23 22:11
ReporterFirasH Assigned Tofschmid  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSopenSUSEOS Version13.1
Product Version1.5.0svn 
Target VersionFixed in Version1.5.1svn 
Summary0012354: Ungrouping items rotated/grouped/welded places them wrongly
DescriptionUngrouping items rotated/grouped/welded places them wrongly.
Steps To Reproduce0) Create a new document
1) Insert 2 Shapes
2) Select the 2 Shapes and Item > Welding > Weld Items
3) Select the 2 Shapes and Item > Grouping > Grouping
4) Select the Group and rotate it with Rotate Item Tool (R)
5) Select the Group and Item > Grouping > Ungroup

The Shapes are wrongly welded.

6) Undo/Redo does not restore items to previous state
Additional InformationScribus 1.5.0 SVN (19187)

[EDIT Jluc] see uploaded test SLA and screenshots in 0011224
TagsNo tags attached.
PatchNo

Relationships

related to 0013169 closedfschmid Items with rotation between 91° and 269° are wrongly placed on canvas after Ungroup 
related to 0011224 feedbackfschmid Undoing ungrouping leads to strange results 
child of 0003812 acknowledged Metabug: Grouped objects 
child of 0012496 acknowledged Metabug: Marks & Footnotes & Weld (1.5.0.svn) 

Activities

FirasH

2016-01-23 22:11

developer   ~0038386

Thanks fschmid!
Fixed in 1.5.1.svn (20690).
Still persist issue with Undo/Redo not restoring Groups (0012351).

Issue History

Date Modified Username Field Change
2014-06-07 07:38 FirasH New Issue
2015-05-21 12:38 Kunda Relationship added child of 0003812
2015-11-13 01:49 Kunda Relationship added child of 0012496
2015-11-18 20:35 JLuc Relationship added related to 0011224
2015-11-18 20:36 JLuc Patch => No
2015-11-18 20:36 JLuc Additional Information Updated View Revisions
2016-01-17 10:58 fschmid Status new => resolved
2016-01-17 10:58 fschmid Fixed in Version => 1.5.1svn
2016-01-17 10:58 fschmid Resolution open => fixed
2016-01-17 10:58 fschmid Assigned To => fschmid
2016-01-17 11:03 FirasH Relationship added related to 0013169
2016-01-23 22:11 FirasH Note Added: 0038386
2016-01-23 22:11 FirasH Status resolved => closed